/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface PartyAccountDto
 */
export interface PartyAccountDto {
  /**
   *
   * @type {string}
   * @memberof PartyAccountDto
   */
  iban: string;
  /**
   *
   * @type {string}
   * @memberof PartyAccountDto
   */
  holder: string;
  /**
   *
   * @type {string}
   * @memberof PartyAccountDto
   */
  bic: string;
}

export function PartyAccountDtoFromJSON(json: any): PartyAccountDto {
  return PartyAccountDtoFromJSONTyped(json, false);
}

export function PartyAccountDtoFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): PartyAccountDto {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    iban: json['iban'],
    holder: json['holder'],
    bic: json['bic'],
  };
}

export function PartyAccountDtoToJSON(value?: PartyAccountDto | null): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    iban: value.iban,
    holder: value.holder,
    bic: value.bic,
  };
}
